local scrW = display.contentWidth
local scrH = display.contentHeight
local orgW = display.actualContentWidth
local orgH = display.actualContentHeight
local pxW = display.pixelWidth
local pxH = display.pixelHeight
local safeW = display.safeActualContentWidth
local safeH = display.safeActualContentHeight
local centerX = display.contentCenterX
local centerY = display.contentCenterY

------------------------------------------------------------------
-- newRect
------------------------------------------------------------------
local function newRect( x, y, w, h, color, ref )
    local rect = display.newRect(x, y, w, h)
    if color then rect.fill = color end
    return rect
end


local gameArea = {x=centerX, y=centerY, w=800, h=1024}
gameArea.left = gameArea.x - (gameArea.w/2)
gameArea.top = gameArea.y - (gameArea.h/2)
gameArea.right = gameArea.x + (gameArea.w/2)
gameArea.bottom = gameArea.y + (gameArea.h/2)

local bg = newRect(gameArea.x, gameArea.y, gameArea.w, gameArea.h, {0.5})

local obj = newRect(gameArea.left, gameArea.top, 100, 100, {0,0,1})
transition.to( obj, { time=2000, x=gameArea.right, y=gameArea.bottom, iterations=0, transition=easing.continuousLoop } )